Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.vfs.helpers
Class WrappingVirtualFileHandlerVisitor

    java.lang.Object
      org.jboss.virtual.plugins.vfs.helpers.WrappingVirtualFileHandlerVisitor

All Implemented Interfaces:
  VirtualFileHandlerVisitor

    public class WrappingVirtualFileHandlerVisitor

extends java.lang.Object
implements VirtualFileHandlerVisitor

A handler visitor that wraps a normal file visitor

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Constructor Summary
`WrappingVirtualFileHandlerVisitor(VirtualFileVisitor visitor)` Create a new WrappingVirtualFileHandlerVisitor.

Method Summary
`VisitorAttributes` | `getAttributes()` Get the search attribues for this visitor
`void` | `visit(VirtualFileHandler handler)` Visit a virtual file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappingVirtualFileHandlerVisitor

    public WrappingVirtualFileHandlerVisitor(VirtualFileVisitor visitor)

  Create a new WrappingVirtualFileHandlerVisitor.

  Parameters:
    `visitor` - the visitor
  Throws:
    `java.lang.IllegalArgumentException` - if the visitor is null

Method Detail

### getAttributes

    public VisitorAttributes getAttributes()

  Description copied from interface: `VirtualFileHandlerVisitor`
  Get the search attribues for this visitor

  Specified by:
    `getAttributes` in interface `VirtualFileHandlerVisitor`
  Returns:
    the attributes

### visit

    public void visit(VirtualFileHandler handler)

  Description copied from interface: `VirtualFileHandlerVisitor`
  Visit a virtual file

  Specified by:
    `visit` in interface `VirtualFileHandlerVisitor`
  Parameters:
    `handler` - the virtual file handler being visited

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD